function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)
    if sender == 100 then
  if flags.comx then
    speciale_action(2,12121,true);
    add_free_leaf("map14",13,101);
    set_satelite_leaf("hotel");
    DoFile(13,101)
    flags.comx= false;
    flags.comx1= true;
  return;end;
  return;end;
  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
  if sender==12 then
  if SLevel==1.0 then return;end;
    if flags.loc1 then
      if flags.loc1 and flags.loc2 then
      flags.loc1= false;
        CreateWindow(150,250,"399",5,nil,250,30);  
          --playeffect("01");  
      return; end;
      CreateWindow(150,250,"199",nil,nil,250,30);  
  --playeffect("01");        
    return;end;
  return;end;
    if sender==35 then
    if obj_id== 210 then
      StartAnimation(210,0,3)  
      -- StopOnMouseOver(210)
    return;end;
    if obj_id== 201 then
      StartAnimation(201,0,4)  
      -- StopOnMouseOver(201)
    return;end;
  return;end;
  if sender==26 then
    if obj_id==1 then
    if (not flags.minicomplete46) then 
      playeffect("29");
       add_free_leaf("Root","mini46",0,56);-- Добавляет чистый лист
       set_satelite_leaf("hotel");
       DoFile(0,56)
       mini_create();    
       flags.nohints=true;
    return;end;       
    return;end;  
    if obj_id==5 then
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
    return;end;
  return;end;
  if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
        AddParticleToObject(40,"evak",62,300);
        MoveEmiter("evak",62,300);
        if (not flags.minicomplete2) then
          StartEmiter("evak");
        end;
          savegame(SaveLevel());
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
      -- if flags.soobw then
      -- CreateWindow(150,250,"252",nil,nil,250,30);  
        -- --playeffect("01");  
        -- flags.soobw = false;
      -- end;      
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
    
      if obj_id==501 then
  --        if whole_darkness then
  --if attachedID==-1 then
        if flags.levelcomplete then
          LoadNextLevel()
        --return;end;  
        return;end;          
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);

    --    return;end;
      return;end;  
    -- if flags.access then
        
      -- if obj_id==50 then
        -- if attachedID==-1 then
          -- if (not flags.minicomplete1) then -- ресепшн
              -- collaps_obj(140,0,0,10,1);
              -- AddElement("gr",140);
              -- SetAlfaSheet(2.5)
              -- setcolor(140,0,0,0,0.5,1);
              -- MoveObjectToTree(140);
              -- CreateWindow(150,250,"260",nil,nil,250,30);  
                -- --playeffect("01");  
              -- Set_Cursor(50,3)
              -- StopEmiter("wkaf");
              -- flags.minicomplete1=true;
              -- AddParticleToObject(52,"zvezd5",109,247);
              -- MoveEmiter("zvezd5",109,247);
              -- if (not flags.minicomplete2) then
                -- StartEmiter("zvezd5");
              -- end;
          -- return; end;
        -- return; end;
      -- return; end;
      
      -- if obj_id==52 then
        -- if attachedID == 140 then
        -- StopEmiter("zvezd5");
        -- speciale_action(2,40);
  
          -- Set_Cursor(40,2)
          -- Set_Cursor(52,3)
          -- RemoveFromMouse(attachedID);
          -- SetAlfaSheet(2.0)
          -- DeleteElement("gr",attachedID);
        -- return; end;  
        -- if (attachedID ~= 41) and (attachedID>-1) then
          -- CreateWindow(150,250,"200",nil,nil,250,30);
            -- --playeffect("01");  
        -- return; end;
        -- if attachedID==-1 then
          -- CreateWindow(150,250,"201",nil,nil,250,30);
            -- --playeffect("01");  
        -- return; end;    
      -- return; end;  
        

      
      if obj_id==40 then
        if attachedID==-1 then
          if (not flags.minicomplete2) then
            playeffect("29");
            add_free_leaf("Root","mini2",0,12);-- Добавляет чистый лист
            set_satelite_leaf("hotel");
            DoFile(0,12)
            mini_create();        
            flags.nohints=true;            
          return;end;        
        return;end;
      return;end;
            -- if obj_id==12 then
          -- CreateWindow(150,250,"204");
      -- return; end;
      
      if obj_id==51 then
        if attachedID==-1 then
          if not flags.minicomplete2 then
              CreateWindow(150,250,"205",nil,nil,250,30);
                --playeffect("01");  
          return; end;  
          if flags.firstloc1 then
            setcurentleaf("number9",13,1);
            playeffect("door");
            SwitchToSheet("re");
            frame=0;
            add_free_leaf("comics",13,51);
            set_satelite_leaf("number9");
            DoFile(13,51)
            ShowMenu(false); 
          return; end;  
        setcurentleaf("number9",13,1);
        playeffect("door");
        savegame(SaveLevel());
        return; end;
      return; end;

      if obj_id > 0 and obj_id < 200 and attachedID == -1 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end;
    -- return; end;  
  return; end;
  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;    
-----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==4 then
  -- WriteToConsole("sender = 4, lev13.0".." "..sender.."\n")
  if SLevel==1.0 then return;end;


  return; end;  
------------------------------------------------------------------------------------------------------------------  
  
end
function SelectRandom()
  idObject=GetRandomObject();
    if not flags.minicomplete2 then
      selectrandomobject(1.5,40);
    end;
    selectrandomobject(1.5,51);
end;
function SelectRandomRadar(idObject)
  selectrandomobject(1.5,idObject);
end;
